#! /usr/bin/env node
const path = require('path');
const bytes = require('bytes');

const differ = require('./src/index.js');

const baseFile = path.resolve(process.argv.slice(2)[0]);
const base = require(baseFile);

const changedFile = path.resolve(process.argv.slice(2)[1]);
const changed = require(changedFile);

function asHumanReadable(diff) {
    return Object.keys(diff).reduce((mem, asset) => {
        mem[asset] = bytes(diff[asset]);
        return mem;
    }, {});
}

function run() {

    const result = differ(base, changed);

    if (Object.keys(result).length === 0) {
        process.stdout.write('\nWebpack Stats Diff: No filesize changes found\n');
        return;
    }

    process.stdout.write('\nWebpack Stats Diff: The following files have a different file size\n');
    process.stdout.write(JSON.stringify(asHumanReadable(result), null, 2));
    process.stdout.write('\n');
}

run();